<?php 
    $page_title=(isset($_GET['wallpaper_id'])) ? 'Edit Wallpaper' : 'Add Wallpaper';
    include("includes/header.php");
    require("includes/lb_helper.php");
    require("language/language.php");
    require_once("thumbnail_images.class.php");
    
    $page_save=(isset($_GET['wallpaper_id'])) ? 'Save' : 'Create';
    
    if(isset($_POST['submit']) and isset($_GET['add'])){
        
        $count = count($_FILES['wallpaper_image']['name']);
        
        for($i=0;$i<$count;$i++){
            $file_name= str_replace(" ","-",$_FILES['wallpaper_image']['name'][$i]);
            $albumimgnm=rand(0,99999)."_".$file_name;
            
            $tpath1='images/'.$albumimgnm;	
            $pic1=$_FILES['wallpaper_image']['tmp_name'][$i];   
            copy($pic1,$tpath1);
            
            $data = array( 
                'pay'  =>   ($_POST['pay']) ? 'premium' : 'free',
                'image_date'  =>  date('Y-m-j'),
                'image'  =>  $albumimgnm
            );    
            
            $qry = Insert('tbl_wallpaper_gif',$data); 
        }
        
        $_SESSION['msg']="10";
        $_SESSION['class']='success';
        header( "Location:create_animation.php?add=yes");
        exit;
    }
    
    if(isset($_GET['wallpaper_id'])){
        $qry="SELECT * FROM tbl_wallpaper_gif where id='".$_GET['wallpaper_id']."'";
        $result=mysqli_query($mysqli,$qry);
        $row=mysqli_fetch_assoc($result);
    }
    
    if(isset($_POST['submit']) and isset($_POST['wallpaper_id'])){
        
        if($_FILES['wallpaper_image']['name']!=""){
            
             if($row['image']!=""){
                unlink('images/'.$row['image']);
            }
            
            $file_name= str_replace(" ","-",$_FILES['wallpaper_image']['name']);
            $albumimgnm=rand(0,99999)."_".$file_name;
            
            //Main Image
            $tpath1='images/'.$albumimgnm;   
            $pic1=$_FILES['wallpaper_image']['tmp_name'];   
            copy($pic1,$tpath1);
         
        } else {
            $albumimgnm=$row['image'];
        }
        
         $data = array( 
            'pay'  =>   ($_POST['pay']) ? 'premium' : 'free',
            'image'  =>  $albumimgnm
        );
        
        $qry=Update('tbl_wallpaper_gif', $data, "WHERE id = '".$_POST['wallpaper_id']."'");
        
        $_SESSION['msg']="11";
        $_SESSION['class']='success';
        header( "Location:create_animation.php?wallpaper_id=".$_POST['wallpaper_id']);
        exit;
    }
?>

<!-- Start: main -->
<main id="nsofts_main">
    <div class="nsofts-container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb align-items-center">
                <li class="breadcrumb-item d-inline-flex"><a href="dashboard.php"><i class="ri-home-4-fill"></i></a></li>
                <li class="breadcrumb-item d-inline-flex active" aria-current="page"><?php echo (isset($page_title)) ? $page_title : "" ?></li>
            </ol>
        </nav>
            
        <div class="row g-4">
            <div class="col-12">
                <div class="card h-100">
                    <div class="card-body p-4">
                        <h5 class="mb-3"><?=$page_title ?></h5>
                        <form action="" name="addeditcategory" method="POST" enctype="multipart/form-data">
                            <input  type="hidden" name="wallpaper_id" value="<?=(isset($_GET['wallpaper_id'])) ? $_GET['wallpaper_id'] : ''?>" />
                            
                            <div class="mb-2 row">
                                <label class="col-sm-2 col-form-label">Premium</label>
                                <div class="col-sm-10">
                                    <div class="nsofts-switch d-flex align-items-center">
                                        <input type="checkbox" id="pay" name="pay" value="premium" class="cbx hidden" 
                                            <?php if(isset($_GET['wallpaper_id'])){ ?>
                                                <?php if($row['pay']=='premium'){ echo 'checked'; }?>
                                            <?php } ?>
                                        />
                                        <label for="pay" class="nsofts-switch__label"></label>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="mb-3 row">
                                <div class="mb-3 row">
                                    <label class="col-sm-2 col-form-label">Select GIF Image</label>
                                    <div class="col-sm-10">
                                        <?php if(isset($_GET['wallpaper_id'])){?>
                                           <input type="file" class="form-control-file" name="wallpaper_image" accept=".gif, .GIF" onchange="fileValidation2()" id="fileupload">
                                        <?php }else{?>  
                                            <input type="file" class="form-control-file" name="wallpaper_image[]" accept=".gif, .GIF" onchange="fileValidation2()" id="fileupload" multiple>
                                        <?php }?>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="mb-3 row">
                                <div class="mb-3 row">
                                    <label class="col-sm-2 col-form-label">&nbsp;</label>
                                    <div class="col-sm-10">
                                        <div class="fileupload_img" id="imagePreview">
                                            <?php if(isset($_GET['wallpaper_id']) AND file_exists('images/'.$row['image'])) {?>
                                              <img class="col-sm-3 img-thumbnail" type="image" src="images/<?php echo $row['image'];?>" alt="image" />
                                            <?php }else{?>
                                              <img class="col-sm-3 img-thumbnail" type="image" src="assets/images/300x300.jpg" alt="image" />
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="mb-3 row">
                                <div class="mb-3 row">
                                    <label class="col-sm-2 col-form-label">&nbsp;</label>
                                    <div class="col-sm-10">
                                        <button type="submit" name="submit" class="btn btn-primary" style="min-width: 120px;"><?=$page_save?></button>
                                    </div>
                                </div>
                            </div>
                            
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<!-- End: main -->
    
<?php include("includes/footer.php");?> 

<script type="text/javascript">
    function fileValidation2(){
        var fileInput = document.getElementById('fileupload');
        var filePath = fileInput.value;
        var allowedExtensions = /(\.gif|.GIF)$/i;
        if(!allowedExtensions.exec(filePath)){
            if(filePath!='')
            fileInput.value = '';
            $.notify('Please upload file having extension .gif, .GIF only.', { position:"top right",className: 'error'} ); 
            return false;
        }else{
            if (fileInput.files && fileInput.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $("#imagePreview").find("img").attr("src", e.target.result);
                };
                reader.readAsDataURL(fileInput.files[0]);
            }
        }
    }
</script> 